package de.avatic.lcc.model.db.premises.route;

import de.avatic.lcc.dto.generic.RateType;
import de.avatic.lcc.dto.generic.TransportType;

public class RouteSection {

    private Integer id;

    private Integer routeId;

    private Integer listPosition;

    private TransportType transportType;

    private RateType rateType;

    private Boolean isPreRun;

    private Boolean isMainRun;

    private Boolean isPostRun;

    private Boolean isOutdated;

    private Integer fromRouteNodeId;

    private Integer toRouteNodeId;

    public RateType getRateType() {
        return rateType;
    }

    public void setRateType(RateType rateType) {
        this.rateType = rateType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getRouteId() {
        return routeId;
    }

    public void setRouteId(Integer routeId) {
        this.routeId = routeId;
    }

    public Integer getListPosition() {
        return listPosition;
    }

    public void setListPosition(Integer listPosition) {
        this.listPosition = listPosition;
    }

    public TransportType getTransportType() {
        return transportType;
    }

    public void setTransportType(TransportType transportType) {
        this.transportType = transportType;
    }

    public Boolean getPreRun() {
        return isPreRun;
    }

    public void setPreRun(Boolean preRun) {
        isPreRun = preRun;
    }

    public Boolean getMainRun() {
        return isMainRun;
    }

    public void setMainRun(Boolean mainRun) {
        isMainRun = mainRun;
    }

    public Boolean getPostRun() {
        return isPostRun;
    }

    public void setPostRun(Boolean postRun) {
        isPostRun = postRun;
    }

    public Boolean getOutdated() {
        return isOutdated;
    }

    public void setOutdated(Boolean outdated) {
        isOutdated = outdated;
    }

    public Integer getFromRouteNodeId() {
        return fromRouteNodeId;
    }

    public void setFromRouteNodeId(Integer fromRouteNodeId) {
        this.fromRouteNodeId = fromRouteNodeId;
    }

    public Integer getToRouteNodeId() {
        return toRouteNodeId;
    }

    public void setToRouteNodeId(Integer toRouteNodeId) {
        this.toRouteNodeId = toRouteNodeId;
    }
}
